# -*- rpm-spec -*-
# $Id: etherboot,v 1.6 2004/02/24 13:30:37 grigory Exp $

%define doc_version 5.2.2

Name: etherboot
Version: 5.4.3
Release: alt1

Summary: Boot ROM images for ethernet cards
License: GPL
Group: Networking/Other
Url: http://etherboot.sourceforge.net

Source0: %name-%version.tar.bz2
Source1: %name-doc-%doc_version.tar.bz2

Packager: Michael Shigorin <mike@altlinux.org>

# I don't know how to build it on x86_64
# and can't verify it there // mike
ExclusiveArch: %{ix86}
# Automatically added by buildreq on Tue Mar 06 2007
BuildRequires: linux-libc-headers
BuildRequires: dos2unix
# gcc3.4
#set_gcc_version 3.4

%define pkgdocdir %_docdir/%name-%version

%description
Etherboot is a software package for creating ROM images that can
download code over an Ethernet network to be executed on an x86
computer. Many network adapters have a socket where a ROM chip can be
installed.  Etherboot is code that can be put in such a ROM.  Etherboot
is normally used for for booting PCs diskless.

%package contrib
Summary: Some %name tools
Group: Networking/Other
Requires: %name = %version-%release

%description contrib
Some programs to work with etherboot ROM images.

%package doc
Summary: %name documentation
Group: Documentation
# for docdir
Requires: %name = %version-%release

%description doc
Extensive %name documentation in text, HTML and PostScript

%prep
%setup -q -a1

%build
%add_optflags -fno-stack-protector
echo CFLAGS+=-fno-stack-protector >> src/Config
#CFLAGS+=-fno-stack-protector
# we don't use custom optimizations here because it can cause problems;
# parallel make not SMP-friendly
make allzdsks allzpxes allzlilos -C src

# clean up cvs files, remove .exe files
find . -name '.cvs*' | xargs rm -f
find . -name '*.exe' | xargs rm -f
find . -name '.keepme' | xargs rm -f
find . -name '.DS_Store' | xargs rm -f

%install
# merged from 5.4.1-1mdk spec
install -d %buildroot{%_datadir/%name/{zdsk,zpxe,zlilo},%_bindir}

install src/bin/*.zdsk %buildroot%_datadir/%name/zdsk
install src/bin/*.zpxe %buildroot%_datadir/%name/zpxe
install src/bin/*.zlilo %buildroot%_datadir/%name/zlilo
install src/util/makerom.pl %buildroot%_bindir/makerom

# (sb) rpmlint
#find contrib/wakeonlan -type f | xargs dos2unix
dos2unix contrib/wakeonlan/readme.txt
dos2unix contrib/wakeonlan/wakeup.pl
dos2unix contrib/wakeonlan/mp-form.pl
dos2unix contrib/romid/pktdrv.bat
dos2unix contrib/hdload/hdload.S
dos2unix contrib/romid/readme
dos2unix contrib/wakeonlan/mp-form.txt
dos2unix contrib/wakeonlan/mp-form1.pl
sed -i 's|perl/bin/perl|usr/bin/perl|' contrib/wakeonlan/mp-form.pl
# ---

# this might still be needed for AW, don't know
for f in contrib/bootptodhcp/*.pl contrib/mntnbi/mntnbi.pl \
	contrib/initrd/{include-modules,mkinitrd-net,mknbi-set}; do
	install -p -m755 $f %buildroot%_bindir/
done

## this is just broken with 5.4.1:
#install -d %buildroot%_datadir/%name/3Com
#mv src/bin/3c*img %buildroot%_datadir/%name/3Com
#mv src/bin/*img %buildroot%_datadir/%name

# fiddle with docs to merge 'em all in single directory
gzip -9nf LOG doc/ps/*.ps
install -d -m755 %buildroot%pkgdocdir
install -p -m644 Copyrights RELNOTES %buildroot%pkgdocdir/
install -p -m644 index.html *.png *.css %buildroot%pkgdocdir/
install -p -m644 INSTALL LOG* VERSION %buildroot%pkgdocdir/
cp -a doc/text/ doc/html/ doc/ps/ contrib/ %buildroot%pkgdocdir/

%files
%dir %pkgdocdir/
%pkgdocdir/Copyrights
%pkgdocdir/RELNOTES
%pkgdocdir/index.html
%pkgdocdir/eb.png
%pkgdocdir/style.css
%_datadir/%name/
%_bindir/makerom

%files contrib
%_bindir/bootptodhcp.pl
%_bindir/mntnbi.pl
%_bindir/include-modules
%_bindir/mkinitrd-net
%_bindir/mknbi-set
%pkgdocdir/contrib/

%files doc
%pkgdocdir/text/
%pkgdocdir/html/
%pkgdocdir/ps/
%pkgdocdir/LOG*
%pkgdocdir/VERSION
%pkgdocdir/INSTALL

%changelog
* Tue Mar 06 2007 Grigory Milev <week@altlinux.ru> 5.4.3-alt1
- update to last version
- clean up specfile
- remove unneeded pathces.

* Sat Oct 14 2006 Michael Shigorin <mike@altlinux.org> 5.4.2-alt1
- fix build with SSP-enabled gcc4.1 (well link should be fixed
  properly but I feel it won't matter much for this package)

* Wed Apr 26 2006 Michael Shigorin <mike@altlinux.org> 5.4.2-alt0.2
- added ExclusiveArch since fixing x86_64 build is 
  out of question for a moment

* Thu Apr 20 2006 Michael Shigorin <mike@altlinux.org> 5.4.2-alt0.1
- 5.4.2 (NMU)

* Mon Mar 20 2006 Michael Shigorin <mike@altlinux.org> 5.4.1-alt0.1
- 5.4.1 (NMU)
  + fix build with recent gcc
- peek inside current Mandriva package
  + borrow gcc4 patch
  + rearrange %%install
  + re-clean-up resulting stuff
- separate doc subpackage
  + use common docdir
  + compress LOG
  + include gzipped PostScript docs
- updated buildrequires

* Tue Feb 24 2004 Grigory Milev <week@altlinux.ru> 5.3.6-alt1
- new version released

* Fri Oct  3 2003 Grigory Milev <week@altlinux.ru> 5.3.2-alt1
- new version released
- fix buildrequires

* Wed Oct 23 2002 Grigory Milev <week@altlinux.ru> 5.0.7-alt1
- new version released
- correct buildrequires
- remover perl from build requires

* Thu Jan  3 2002 Grigory Milev <week@altlinux.ru> 5.0.5-alt1
- new version released

* Thu Sep 27 2001 Dmitry V. Levin <ldv@altlinux.ru> 5.0.4-alt2
- Minor specfile cleanup.
- Changed BuildArch.
- Updated requires and buildrequires.

* Tue Sep 25 2001 Grigory Milev <week@altlinux.ru> 5.0.4-alt1
- New version released

* Fri Jul 13 2001 Grigory Milev <week@altlinux.ru> 5.0.2-alt1
- First build for Sisyphus

